%if %{?distsuffix:0}%{?!distsuffix:1}
%define distsuffix pclos
%endif

%if %{?mkrel:0}%{?!mkrel:1}
%define mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?distsuffix:%distsuffix}%{?!distsuffix:pclos}%{?pclinuxos_release:%pclinuxos_release}%{?subrel:.%subrel}
%endif

%define mdkversion            %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/pclinuxos-release)

%define have_emacsmodespec 1
%define rpmplatform %{?evr_tuple_select: 0}%{!?evr_tuple_select: %(if rpm --help | grep -q yaml; then echo 1; else echo 0; fi)}
%define only_rpmrc 0

%{?_with_emacsspecmode: %define have_emacsmodespec 1}
%{?_without_emacsspecmode: %define have_emacsmodespec 0}

Summary:	The PCLinuxOS rpm configuration and scripts
Name:		rpm-pclinuxos-setup
Version:	1.135
Release:	%mkrel 2
Source0:	%{name}-%{version}.tar.xz
Source1:	20build.macros
Source2:	gem_helper.rb
Source3: 20common.macros
Patch0:	kmod.prov.patch
License:	GPLv2+
Group:	System/Configuration/Packaging
Url:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/rpm-setup/
Requires:	rpm-rambo-setup
BuildRoot:	%{_tmppath}/%{name}-buildroot
# for "make test":
BuildRequires:	rpm-rambo-setup
BuildRequires:	rpm-devel
%if !%rpmplatform
Conflicts:	rpm = 4.4.8
Conflicts:	rpm = 4.4.6
Conflicts:	rpm <= 4.4.2.3
%endif
Obsoletes:	rpm-mandriva-setup < %version-%release
Provides:	rpm-mandriva-setup = %version-%release

%description
The PCLinuxOS rpm configuration and scripts.

%package	build
Group:		System/Configuration/Packaging
Summary:	The PCLinuxOS rpm configuration and scripts to build rpms
Requires:	rpm-rambo-setup-build
Requires:	spec-helper
Requires:	multiarch-utils
Requires:	pkgconfig
Requires:	%name = %version-%release
Requires:	pclinuxos-release
Requires:	perl-File-Slurp
Requires:	perl-List-MoreUtils
%if %have_emacsmodespec
Conflicts:	rpm < 4.4.1
%endif
Obsoletes:	rpm-mandriva-setup-build < %version-%release
Provides:	rpm-mandriva-setup-build = %version-%release

%description	build
The PCLinuxOS rpm configuration and scripts dedicated to build rpms.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x \
%if %rpmplatform
    --with-rpmplatform \
%endif
%if %only_rpmrc
    --with-only-rpmrc \
%endif


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d

mv %buildroot%_prefix/lib/rpm/mandriva/macros %buildroot%{_sysconfdir}/rpm/macros.d/20common.macros
mv %buildroot%{_sysconfdir}/rpm/macros.d/{build.macros,20build.macros}


%if %have_emacsmodespec
# spec mode for emacs
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
install -m644 rpm-spec-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(setq auto-mode-alist (cons '("\\\\.spec$" . rpm-spec-mode) auto-mode-alist))
(autoload 'rpm-spec-mode "rpm-spec-mode" "RPM spec mode (mandrakized)." t)
EOF
%endif

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/rpm/macros.d/20build.macros
install -m 0755 %SOURCE2 $RPM_BUILD_ROOT/%_prefix/lib/rpm/mandriva/platform/gem_helper.rb
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/rpm/macros.d/20common.macros

touch debugfiles.list

%clean
rm -rf $RPM_BUILD_ROOT

%post
rm -rf /etc/urpmi > /dev/null 2>&1

%files
%defattr(-,root,root)
%dir %_prefix/lib/rpm/mandriva
%if %rpmplatform
%_bindir/rpmgenplatform
%config(noreplace) %_sysconfdir/rpm/platform
%ifarch x86_64
%config(noreplace) %_sysconfdir/rpm/platform32
%endif
%endif
%if !%only_rpmrc
%dir %_prefix/lib/rpm/mandriva/platform/
%_prefix/lib/rpm/mandriva/platform/*-%_target_os
%endif

%dir %{_sysconfdir}/rpm/macros.d
%{_sysconfdir}/rpm/macros.d/20common.macros

%files build
%defattr(-,root,root)
%doc NEWS ChangeLog
%if !%only_rpmrc
%exclude %_prefix/lib/rpm/mandriva/platform/*-%_target_os
%endif
%{_sysconfdir}/rpm/macros.d/20build.macros
%_prefix/lib/rpm/mandriva/*

%if %have_emacsmodespec
%{_datadir}/emacs/site-lisp/rpm-spec-mode.el
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%endif


%changelog
* Mon Mar 30 2015 bb <bb> 1.135-2pclos2015
- revert internal_dependency_generator

* Thu Mar 26 2015 bb <bb> 1.135-1pclos2015
- update build macros

* Tue May 21 2013 Texstar <texstar at gmail.com> 1.134-6pclos2013
- drop old urpmi folder

* Sun May 19 2013 Texstar <texstar at gmail.com> 1.134-5pclos2013
- fix make_session macro

* Sat Mar 10 2012 Neal <nealbrks0 at gmail dot com> 1.134-4pclos2011
- process

* Wed Mar 07 2012 etjr 1.134-4pclos2011
- patch kmod.prov

* Thu Oct 13 2011 Texstar <texstar at gmail.com> 1.134-3pclos2011
- add ruby build support

* Mon Jun 13 2011 Texstar <texstar at gmail.com> 1.134-2pclos2011
- add missing perl dependencies

* Fri Jun 10 2011 Texstar <texstar at gmail.com> 1.134-1pclos2011
- update for 2011 release
- maintain backward compatibility to mdv due to gcc build

